Bug 180060 - CAN-2005-2101 kdeedu- langen2kvtml tempfile vulnerability
CAN-2005-2101 kdeedu- langen2kvtml tempfile vulnerability
Status: CLOSED WONTFIX
Product: Fedora Legacy
Classification: Retired
Component: kdeedu (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Fedora Legacy Bugs
http://www.kde.org/info/security/advi...
impact=low, LEGACY, NEEDSWORK, rh73, ...
: Security
Depends On:
Blocks: Leg-KDE-Track
  Show dependency treegraph
 
Reported: 2006-02-05 03:49 EST by David Eisenstein
Modified: 2007-08-30 15:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 15:57:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Eisenstein 2006-02-05 03:49:30 EST
+++ This bug was initially created as a clone of Bug #165606 +++

Ben Burton notified the KDE security team about several tempfile handling
related vulnerabilities in langen2kvtml, a conversion script for kvoctrain. The
script must be manually invoked.

The script uses known filenames in /tmp which allow an local attacker to
overwrite files writeable by the user invoking the conversion script.


This issue should also affect FC3

-- Additional comment from bressers@redhat.com on 2005-08-10 14:59 EST --
Created an attachment (id=117621)
Proposed upstream patch


-- Additional comment from than@redhat.com on 2005-08-10 16:25 EST --
it's now fixed in kdeedu-3.4.2-0.fc4.2 (FC4) and kdeedu-3.4.2-0.fc3.2 (FC3)

-- Additional comment from mjc@redhat.com on 2005-10-25 07:48 EST --
FEDORA-2005-745
FEDORA-2005-744
Comment 1 David Eisenstein 2006-02-05 03:53:39 EST
This issue currently only affects RHL7.3, RHL9, FC1, & FC2.
Comment 2 Jesse Keating 2007-08-30 15:57:31 EDT
Fedora Legacy project has ended.  These will not be fixed by Fedora Legacy.

Note You need to log in before you can comment on or make changes to this bug.